Subject: Re: Preventing enumeration with the CURRENT DNSSECbis specification

From: Jim Reid <[email-masked]>
Date: Mon, 07 Jun 2004 10:16:58 +0100

Disclaimer: I am not a cryptographer and therefore don't know what I'm
talking about.

Synthesising NSEC records and signing them on the fly seems to be a
Very Bad Idea. It would allow the People In Black Hats to make a
chosen cleartext attack on the key.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Paul Vixie <[email-masked]>
Date: Mon, 07 Jun 2004 14:07:31 +0000

michael, the problem with this approach is precomputation.  just as in
normal security protocol design you don't want an attacker to be able to
use precomputation, in dnssec we want the authority servers to be able
to use precomputation.  if we take precomputation away from the
authority server, then the ddos bottleneck shifts from the network
interface (or upstreams) to the cpu (or crypto engine).  while online
keys would be fun and i'd enjoy the challenge of generating point-NSECs
on the fly rather than precomputing range-NSECs as we do now, this is just
not a recommendable approach to anyone concerned about zone walking. --paul